Public Member Functions

# wxGridCellFloatRenderer Class Reference
[Grid Related Classes]

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellFloatRenderer:
[legend]

## Detailed Description

This class may be used to format floating point data in a cell.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellEnumRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellFloatRenderer (int width=-1, int precision=-1)
| Float cell renderer ctor.
int | GetPrecision () const
| Returns the precision.
int | GetWidth () const
| Returns the width.
virtual void | SetParameters (const wxString &params)
| Parameters string format is "width[,precision]".
void | SetPrecision (int precision)
| Sets the precision.
void | SetWidth (int width)
| Sets the width.

List of all members.

## Constructor & Destructor Documentation

wxGridCellFloatRenderer::wxGridCellFloatRenderer | ( | int | width = `-1`,
|  | int | precision = `-1` |
| ) |  |  |

Float cell renderer ctor.

Parameters:

  | width | Minimum number of characters to be shown.
  | precision | Number of digits after the decimal dot.

## Member Function Documentation

int wxGridCellFloatRenderer::GetPrecision | ( |  | ) | const

Returns the precision.

int wxGridCellFloatRenderer::GetWidth | ( |  | ) | const

Returns the width.

virtual void wxGridCellFloatRenderer::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Parameters string format is "width[,precision]".

void wxGridCellFloatRenderer::SetPrecision | ( | int | precision | ) |

Sets the precision.

void wxGridCellFloatRenderer::SetWidth | ( | int | width | ) |

Sets the width.

|  | [ top ]